package net.woodyfolsom.msproj.ann;

import org.encog.ml.data.MLDataSet;
import org.encog.neural.networks.ContainsFlat;
import org.encog.neural.networks.training.propagation.back.Backpropagation;

public class TemporalDifference extends Backpropagation {
	private final double lambda;
	
	public TemporalDifference(ContainsFlat network, MLDataSet training,
			double theLearnRate, double theMomentum, double lambda) {
		super(network, training, theLearnRate, theMomentum);
		this.lambda = lambda;
	}

	public double getLamdba() {
		return lambda;
	}

	@Override
	public double updateWeight(final double[] gradients,
			final double[] lastGradient, final int index) {
		double alpha = this.getLearningRate();
		
		//TODO fill in weight update for TD(lambda)
		
		return 0.0;
	}
	
}